Get a new schema object

- « Session::getDefaultSchema

- Session::getSchemas »

- PHP Manual
- mysql_xdevapi\Session
- Get a new schema object

# Session::getSchema

(No version information available, might only be in Git)

Session::getSchema — Get a new schema object

### Description

public mysql_xdevapi\Session::getSchema(string `$schema_name`): mysql_xdevapi\Schema

A new Schema object for the provided schema name.

### Parameters

`schema_name`

  Name of the schema (database) to fetch a Schema object for.

### Return Values

A Schema object.

### Examples

Example #1 mysql_xdevapi\Session::getSchema() example

    <?php$session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");$schema  = $session->getSchema("addressbook");print_r($schema);

The above example will output something similar to:

    mysql_xdevapi\Schema Object
    (
        [name] => addressbook
    )